Printable version

Drivers & software

HPE Scripting Toolkit for Windows

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Utility - Tools
Version: 11.05(12 Oct 2017)
Operating System(s):
Microsoft Windows Server 2008 Essential Business | View all
File name: hpe-scripting-toolkit-windows-11.05-11.zip (47 MB)
The HPE Scripting Toolkit provides a flexible way to create standard server configuration scripts. These scripts are used to automate many of the manual steps in the server configuration process. This automated server configuration process cuts time from each server deployed, making it possible to scale server deployments to high volumes in rapid fashion. The HPE Scripting Toolkit is designed for IT experts with experience in scripting operating system installations and configuring HP ProLiant server hardware. The HP Scripting Toolkit supports HP ProLiant servers, in both Windows and Linux environments and includes limited ProLiant 100 series support prior to Gen8. With Gen8 servers, all of the 100 series are supported. The HPE Scripting Toolkit includes a modular set of utilities and important documentation that describe how to apply these new tools to build an automated server deployment process. The latest features are available at: www.hp.com/go/ProLiant/STK.

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

7a5cb15000ea1cb43c686932ed8a772e8707c5f1fb588507eaec844bca26552f hpe-scripting-toolkit-windows-11.05-11.zip

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

For Available Support Documentation: 

HPE Scripting Toolkit User Guide for Windows: http://www.hpe.com/info/stk/docs


Download the SoftPaq to a temporary, empty directory on your hard drive. The file downloaded is a self-extracting executable with a filename based on the SoftPaq Number.

Execute the downloaded file and follow the on-screen instructions. Enter "Y" to confirm the unpacking of files into the download directory.

After the files have been unpacked, you may delete the self-extracting file.

Read the information provided in the Readme.txt and User Guide PDF files for SmartStart Scripting Toolkit description, installation, and usage.

 


End User License Agreements:
HPE Software License Agreement v1
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Notes:

The HPE Scripting Toolkit is a server deployment product that delivers unattended automated installation for high volume server deployments.  The toolkit includes a modular set of utilities and important documentation that describes how to apply these new tools to build an automated server deployment process.

Using HPE technology, the Scripting Toolkit provides a flexible way to create standard server configuration scripts. These scripts are used to automate many of the manual steps in the server configuration process. This automated server configuration process cuts time from each server deployed, making it possible to scale server deployments to high volumes in rapid fashion. The HPE Scripting Toolkit is designed for IT experts with experience in scripting operating system installations and configuring ProLiant server hardware.

For a complete list of support, view the HPE Scripting Toolkit Support Guide: http://www.hpe.com/info/stk/docs


Version:11.30 (10 Apr 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.20 (2 Jul 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.10 (5 Mar 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.05 (12 Oct 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.00 (12 Jul 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Updated the Conrep utility to support Gen10/iLO5 based servers.  Gen10/iLO based servers use a separate XML file(conrep_gen10.xml).
  • Added and updated drivers to support the latest hardware.
  • Added the RESTful Interface Tool(iLOREST) to allow local and remote configuration of Gen9 and Gen10 servers.
  • Added support for WinPE 10.0 and removed support for WinPE 4.0.
  • Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:10.51 (21 Feb 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for WinPE 10.0.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:10.50 (28 Oct 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen9 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:10.40 (1 Feb 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Conrep 4.6 - Fixed intermittent crash when loading a data file.

Enhancements

Conrep 4.6 - Added support for new ProLiant Gen9 server BIOS setting.
HPDiscovery 4.6 - Added support for 32GB and larger DIMMs.

Added Support for new HPE ProLiant Gen9 servers.

For supported servers please refer to http://www.hpe.com/go/stk/docs


Version:10.30 (1 Oct 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Setbootorder 4.5
 - Fixed issue with UEFI boot order not correctly moving Generic USB and Dynamic Smart Array devices in the boot order.

 Conrep 4.5
 - Fixed issue with UEFI boot order not correctly moving Generic USB and Dynamic Smart Array devices in the boot order.

 HPDiscovery 4.5
 - Fixed issue with incorrect disk size on some drives of size greater than 4GB.

Enhancements

RBSUReset 4.5
 - Added the ability to clear the RBSU Admin password by passing in the current password on the command line(-p argument).

 Conrep 4.5
 - Added support for TPM 2.0 configuration.

Added Support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs


Version:10.20 (19 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs

Conrep: Added the option to Clear the TPM Module in the conrep.xml file.


Version:10.10 (16 Mar 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


The following issues were resolved in Conrep version 4.3:

  • When performing the load functionality, settings that share the same NVRAM location would not be updated

  • The save/load functionality did not work properly on HP ProLiant 100-series servers, which had a ROM BIOS family code = Oxx.

  • TPM 1.2 settings could not be read or changed properly on HP ProLiant Gen9 servers.

The following issue was resolved in Setbootorder version 4.3:

  • Setbootorder now displays a message that the server needs a reboot when trying to set the boot order to default instead of an eror message trying to read EV "CQHIPL".

The following issues were resolved in HPDiscovery version 4.3:

  • The storage controller display name was not getting listed in the output file.

Enhancements

Added Support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs


Version:10.02 (13 Nov 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Includes Conrep 4.1.2.0 - Fix for issue with Conrep where saved conrep.dat file includes incorrect PCI_Devices section.

Enhancements

Added support for HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs

 


Version:10.00 (9 Sep 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.60 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 

  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.50 (10 Sep 2013)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

For more information visit: HP Scripting Toolkit Web Page

Version:9.40 (19 Feb 2013)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Version:9.30 (29 Oct 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.20 (4 Sep 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SmartStart Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8)

v9.20 contains the following updates:


Version:9.10 (4 Jun 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Added support for the following:

  • Hardware shipping with SmartStart version 9.10, including limited support for HP ProLiant 100 Server series

Updated the following utilities:


Version:9.00 (27 Mar 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Tookit used for pre-Gen 8 servers are:
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following:


Type: Utility - Tools
Version: 11.05(12 Oct 2017)
Operating System(s):
Microsoft Windows Server 2008 Essential Business
Microsoft Windows Server 2008 R2
Microsoft Windows Server 2008 Small Business
Microsoft Windows Server 2008 W32
Microsoft Windows Server 2008 x64
Microsoft Windows Server 2012
Microsoft Windows Server 2012 Essentials
Microsoft Windows Server 2012 R2
Microsoft Windows Small Business Server 2011 Standard and Essentials

Description

The HPE Scripting Toolkit provides a flexible way to create standard server configuration scripts. These scripts are used to automate many of the manual steps in the server configuration process. This automated server configuration process cuts time from each server deployed, making it possible to scale server deployments to high volumes in rapid fashion. The HPE Scripting Toolkit is designed for IT experts with experience in scripting operating system installations and configuring HP ProLiant server hardware. The HP Scripting Toolkit supports HP ProLiant servers, in both Windows and Linux environments and includes limited ProLiant 100 series support prior to Gen8. With Gen8 servers, all of the 100 series are supported. The HPE Scripting Toolkit includes a modular set of utilities and important documentation that describe how to apply these new tools to build an automated server deployment process. The latest features are available at: www.hp.com/go/ProLiant/STK.

Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs

Installation Instructions

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

7a5cb15000ea1cb43c686932ed8a772e8707c5f1fb588507eaec844bca26552f hpe-scripting-toolkit-windows-11.05-11.zip

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

For Available Support Documentation: 

HPE Scripting Toolkit User Guide for Windows: http://www.hpe.com/info/stk/docs


Download the SoftPaq to a temporary, empty directory on your hard drive. The file downloaded is a self-extracting executable with a filename based on the SoftPaq Number.

Execute the downloaded file and follow the on-screen instructions. Enter "Y" to confirm the unpacking of files into the download directory.

After the files have been unpacked, you may delete the self-extracting file.

Read the information provided in the Readme.txt and User Guide PDF files for SmartStart Scripting Toolkit description, installation, and usage.

 


Release Notes

End User License Agreements:
HPE Software License Agreement v1
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Notes:

The HPE Scripting Toolkit is a server deployment product that delivers unattended automated installation for high volume server deployments.  The toolkit includes a modular set of utilities and important documentation that describes how to apply these new tools to build an automated server deployment process.

Using HPE technology, the Scripting Toolkit provides a flexible way to create standard server configuration scripts. These scripts are used to automate many of the manual steps in the server configuration process. This automated server configuration process cuts time from each server deployed, making it possible to scale server deployments to high volumes in rapid fashion. The HPE Scripting Toolkit is designed for IT experts with experience in scripting operating system installations and configuring ProLiant server hardware.

For a complete list of support, view the HPE Scripting Toolkit Support Guide: http://www.hpe.com/info/stk/docs


Revision History

Version:11.30 (10 Apr 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.20 (2 Jul 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.10 (5 Mar 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.05 (12 Oct 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.00 (12 Jul 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Updated the Conrep utility to support Gen10/iLO5 based servers.  Gen10/iLO based servers use a separate XML file(conrep_gen10.xml).
  • Added and updated drivers to support the latest hardware.
  • Added the RESTful Interface Tool(iLOREST) to allow local and remote configuration of Gen9 and Gen10 servers.
  • Added support for WinPE 10.0 and removed support for WinPE 4.0.
  • Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:10.51 (21 Feb 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for WinPE 10.0.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:10.50 (28 Oct 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HPE ProLiant Gen9 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:10.40 (1 Feb 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Conrep 4.6 - Fixed intermittent crash when loading a data file.

Enhancements

Conrep 4.6 - Added support for new ProLiant Gen9 server BIOS setting.
HPDiscovery 4.6 - Added support for 32GB and larger DIMMs.

Added Support for new HPE ProLiant Gen9 servers.

For supported servers please refer to http://www.hpe.com/go/stk/docs


Version:10.30 (1 Oct 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Setbootorder 4.5
 - Fixed issue with UEFI boot order not correctly moving Generic USB and Dynamic Smart Array devices in the boot order.

 Conrep 4.5
 - Fixed issue with UEFI boot order not correctly moving Generic USB and Dynamic Smart Array devices in the boot order.

 HPDiscovery 4.5
 - Fixed issue with incorrect disk size on some drives of size greater than 4GB.

Enhancements

RBSUReset 4.5
 - Added the ability to clear the RBSU Admin password by passing in the current password on the command line(-p argument).

 Conrep 4.5
 - Added support for TPM 2.0 configuration.

Added Support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs


Version:10.20 (19 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added Support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs

Conrep: Added the option to Clear the TPM Module in the conrep.xml file.


Version:10.10 (16 Mar 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


The following issues were resolved in Conrep version 4.3:

  • When performing the load functionality, settings that share the same NVRAM location would not be updated

  • The save/load functionality did not work properly on HP ProLiant 100-series servers, which had a ROM BIOS family code = Oxx.

  • TPM 1.2 settings could not be read or changed properly on HP ProLiant Gen9 servers.

The following issue was resolved in Setbootorder version 4.3:

  • Setbootorder now displays a message that the server needs a reboot when trying to set the boot order to default instead of an eror message trying to read EV "CQHIPL".

The following issues were resolved in HPDiscovery version 4.3:

  • The storage controller display name was not getting listed in the output file.

Enhancements

Added Support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs


Version:10.02 (13 Nov 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Includes Conrep 4.1.2.0 - Fix for issue with Conrep where saved conrep.dat file includes incorrect PCI_Devices section.

Enhancements

Added support for HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs

 


Version:10.00 (9 Sep 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.60 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 

  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.50 (10 Sep 2013)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

For more information visit: HP Scripting Toolkit Web Page

Version:9.40 (19 Feb 2013)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Version:9.30 (29 Oct 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.20 (4 Sep 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SmartStart Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8)

v9.20 contains the following updates:


Version:9.10 (4 Jun 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Added support for the following:

  • Hardware shipping with SmartStart version 9.10, including limited support for HP ProLiant 100 Server series

Updated the following utilities:


Version:9.00 (27 Mar 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Tookit used for pre-Gen 8 servers are:
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following:


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.